Skip to main content

Examples

Query Parameters

Even though the main page is swap, each page has it’s own specific URL parameters that can be set, in addition to global parameters that are used on all pages. Parameters not applicable to a page will have no effect on UI settings. Fortunately, the swap and limit pages have the same URL query parameters!

Swap

https://swap.cow.fi/#/<chainId>/swap/<sellTokenSymbolOrAddress>/<buyTokenSymbolOrAddress>?recipient=<recipient>&sellAmount=<sellAmount>&buyAmount=<buyAmount>

Limit

https://swap.cow.fi/#/<chainId>/limit/<sellTokenSymbolOrAddress>/<buyTokenSymbolOrAddress>?recipient=<recipient>&sellAmount=<sellAmount>&buyAmount=<buyAmount>

Global parameters

Swap / limit parameters

All parameters are optional. If a parameter is not set, the default value will be used.
Only one of sellAmount or buyAmount can be set for the swap page. If both are set, only sellAmount will be used.
Each chain has a native token and it’s wrapped version. Native tokens are needed to pay any applicable transaction fees.Native and wrapped tokens per chain:
  • Ethereum Mainnet: WETH - wrapped ETH
  • Gnosis chain: WXDAI - wrapped XDAI
  • Arbitrum one: WETH - wrapped ETH
  • Base: WETH - wrapped ETH
  • Avalanche: WAVAX - wrapped AVAX
  • Polygon: WPOL - wrapped POL
  • BNB: WBNB - wrapped BNB
  • Linea: WETH - wrapped ETH
  • Plasma: WXPL - wrapped XPL
  • Ink: WETH - wrapped ETH
  • Sepolia: WETH - wrapped ETH
Last modified on March 17, 2026